
Foreman - Bug #13911

puppet cert is not revoked when host is deleted if ':unattended: false' is set

02/25/2016 05:23 PM - Matt Cahill

Status: New   

Priority: Normal   

Assignee:    

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1347242 Red Hat JIRA:  

Pull request:    

Description

If :unattended: is set to true and a particular host is managed by foreman then when deleting the host from foreman the associated

puppet certificate will be removed as well.

When :unattended: is set to false there is no way to manage a host in the UI and as a result deleting a host from foreman never

triggers foreman-proxy to remove the puppet cert.

I think expected behaviour should be that when :unattended: is false management of puppetca proxy elements should only depend

on the state of the 'Manage PuppetCA' UI setting.

Foreman 1.10.2

ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

Ubuntu 14.04.4 LTS

Puppet 3.8.6

Related issues:

Related to Foreman - Feature #8271: ON delete host, delete also unmanaged cer... New 11/04/2014

History

#1 - 02/26/2016 04:06 AM - Dominic Cleal

- Related to Feature #8271: ON delete host, delete also unmanaged certificates from puppet CA added

#2 - 02/26/2016 04:06 AM - Dominic Cleal

- Subject changed from foreman does not initiate puppet cert revoke and destroy when host is deleted if ':unattended: false' is set in

/etc/foreman/settings.yaml to puppet cert is not revoked when host is deleted if ':unattended: false' is set

- Category set to PuppetCA

#3 - 06/17/2016 11:05 AM - Bryan Kearney

- Bugzilla link set to 1347242
